import { Observable } from 'rxjs';
import { ECommonsSynchronisedTimeoutAction } from 'tscommons-async';
export declare class CommonsSynchronisedService {
    private synchroniser;
    constructor();
    synchronised<T>(context: string, timeout: number, timeoutAction: ECommonsSynchronisedTimeoutAction, callback: () => Promise<T>): Promise<T>;
    synchronisedAsObservable<T>(context: string, timeout: number, timeoutAction: ECommonsSynchronisedTimeoutAction, callback: () => Promise<T>): Observable<T>;
}
